/*
 * Copyright (C) 2005-2013 Schlichtherle IT Services.
 * All rights reserved. Use is subject to license terms.
 */
package net.java.truelicense.core;

/**
 * Defines a license validation.
 *
 * @see    LicenseValidationProvider
 * @author Christian Schlichtherle
 */
public interface LicenseValidation {
    /** Validates the properties of the given license. */
    void validate(License license) throws LicenseValidationException;
}
